//
// This file is part of libyacurs.
// Copyright (C) 2013  Rafael Ostertag
//
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see
// <http://www.gnu.org/licenses/>.
//
//
// $Id: messagebox.cc 5813 2013-12-30 12:52:51Z rafisol $

#include <cstdlib>
#include <cassert>

#include "messagebox.h"
#include "yacursex.h"

using namespace YACURS;

//
// Private
//
MessageBox&
MessageBox::operator=(const MessageBox&) {
    throw EXCEPTIONS::NotSupported();
    return *this;
}

//
// Protected
//

//
// Public
//

MessageBox::MessageBox(const std::string& _title,
                       const std::string& _message,
                       DIALOG_TYPE _dt) :
    Dialog(_title, _dt),
    __message(_message),
    __vpack() {
    __message.color(DIALOG);
    // Required to make dynlabel work
    __vpack.always_dynamic(true);
    __vpack.add_back(&__message);
    widget(&__vpack);
}

MessageBox::~MessageBox() {
}
